/**
 * Timer service
 */
package service;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.Date;
import net.jini.core.event.*;

public interface Timer extends Remote {

    public static final int VALID = 1;     // event types
    public static final int INVALID = 2;

    public void setTime(Date t) throws RemoteException;

    public Date getTime() throws RemoteException;

    public boolean isValidTime() throws RemoteException;

    public EventRegistration addEventListener(RemoteEventListener l)
	throws RemoteException;
}

